require(graphics)
#install.packages("ggplot2")
library(ggplot2)
library(scales)
getwd()
setwd("C:/Users/Boris/projects/europe/Interface-with-R/")
setwd("M:/projects/europe/Interface-with-R/")

e2w.ts <- ts(as.numeric(read.csv("east2west_timeseries.csv",header=FALSE,sep=",")), start=1330)

# Apparently, we have no periodicity in our data.
# http://r.789695.n4.nabble.com/cpgram-access-data-confidence-bands-td3053344.html
# http://en.wikipedia.org/wiki/White_noise

# Autocorrelation function
acf(e2w.ts, lag.max = 200, main="Autocorrelation function of reintroduction dates")
# some negligible correlation strengths observed (<0.2).

# Autocorrelation function
acf(e2w.ts, lag.max = 20, main="Autocorrelation function of reintroduction dates")
# some negligible correlation strengths observed (<0.2).

# Autocorrelation function when you remove the autocorrelation effect of smaller timelags
pacf(e2w.ts, lag.max = 200,main="Partial autocorrelation function of reintroduction dates")


# Testing if there is periodicity in the reintroduction data.
cpgram(e2w.ts,main="Cumulative periodogram of reintroduction dates")

spectrum(e2w.ts)
#spec_ob <- spec.pgram(e2w.ts, detrend = FALSE, demean = FALSE, fast = FALSE, pad = 0, taper = 0, spans = c(5,5))
# So far so good. Reintroduction data is free of insanities
#myplot <- qplot(rev(mapply(function(x) 1/x,spec_ob$freq)),rev(spec_ob$spec),geom="line")
#myplot + scale_x_continuous(trans=log2_trans(),limits= c(1.9,70),expand = c(0,0)) + scale_y_continuous(limits= c(0,0.1),expand=c(0,0))

